Subject: Re: Regression in 3.9 caused by "bridge: respect RFC2863 operational state"

From: Stephen Hemminger <[email-masked]>
Date: Tue, 19 Jan 2016 13:48:32 -0800

On Thu, 3 Dec 2015 18:29:00 -0800
YanBo <[email-masked]> wrote:

> Sorry to pick up this thread again,  it looks this issue still existed  in
> the newer 4.3 kernel. (The EAP frames can not be received by wireless
> interface due to the bridge interface,
> http://marc.info/?l=linux-wireless&m=136743495526905&w=2)
> 
> Wonder is anyone know some update for this issue?  Currently the only
> workaround is make the 4-address  AP and STA associated in security mode
> firstly and then create the bridge, the renew key configuration also need
> be disable at the hostapd side to  avoid renew the key at bridge status.
> 
> Thanks
> Yanbo

How does wireless device indicate that is up?  It may just be that
the code is missing the logic to propagate operstate correctly.
This is normally done by netif_stacked_transfer_operstate and linkwatch
event.

Also STP can be disabled if you don't need it.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html